## fsm-lite 1.0

=== Makefile ===
SDSL_INSTALL_PREFIX=${HOME}/software

CPPFLAGS=-std=c++11 -I$(SDSL_INSTALL_PREFIX)/include -DNDEBUG -O3 -msse4.2
LIBS=-lsdsl -ldivsufsort -ldivsufsort64
OBJ = configuration.o input_reader.o fsm-lite.o

fsm-lite: $(OBJ)
	$(LINK.cpp) $^ -L$(SDSL_INSTALL_PREFIX)/lib $(LIBS) -o $@

test: fsm-lite
	./fsm-lite -l test.list -t tmp -v --debug -m 1

clean:
	$(RM) fsm-lite *.o *~

depend:
	g++ -MM -std=c++11 -I$(SDSL_INSTALL_PREFIX)/include *.cpp > dependencies.mk

include dependencies.mk

=== debian/changelog ===
fsm-lite (1.0-8) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Nov 2022 11:57:44 +0100

fsm-lite (1.0-7) unstable; urgency=medium

  [ Lance Lin ]
  * Add autopkgtest
    Closes: #986201

  [ Andreas Tille ]
  * Ignore i386 in Salsa-CI since it is implicitly excluded by
    Build-Depends: libsdsl-dev

 -- Andreas Tille <tille@debian.org>  Tue, 21 Dec 2021 15:49:12 +0100

fsm-lite (1.0-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 07:36:10 +0200

fsm-lite (1.0-5) unstable; urgency=medium

  * Team upload.
  * debian/rules: Don't pass -msse4.2, ever. Closes: #985061
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)
  * debian/upstream/metadata: add GitHub repo

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Mar 2021 15:52:36 +0100

fsm-lite (1.0-4) unstable; urgency=medium

  [ Andrius Merkys ]
  * Using DEB_BUILD_ARCH from /usr/share/dpkg/architecture.mk to make lintian
    happy.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 17:36:49 +0100

fsm-lite (1.0-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 22:23:18 +0200

fsm-lite (1.0-2) unstable; urgency=medium

  * Support more architectures
    Closes: #824368

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2016 09:48:39 +0200

fsm-lite (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #820854)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2016 09:39:32 +0200

=== debian/control ===
Source: fsm-lite
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libsdsl-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/fsm-lite
Vcs-Git: https://salsa.debian.org/med-team/fsm-lite.git
Homepage: https://github.com/nvalimak/fsm-lite
Rules-Requires-Root: no

Package: fsm-lite
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: frequency-based string mining (lite)
 A singe-core implementation of frequency-based substring mining used in
 bioinformatics to extract substrings that discriminate two (or more)
 datasets inside high-throughput sequencing data.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Upstream source is lacking file test.list which is needed for testing."
endif

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/nvalimak/fsm-lite/tags .*/v(\d[\d.-]+)-stable\.(?:tar(?:\.gz|\.bz2)?|tgz)
